package ru.dbotthepony.kstarbound.math

fun lerp(t: Double, a: Double, b: Double): Double {
	return a * (1.0 - t) + b * t
}

/**
 * Выполняет преобразование [value] типа [Double] в [Int] так,
 * что выходной [Int] всегда будет больше или равен по модулю [value]
 */
fun roundByAbsoluteValue(value: Double): Int {
	if (value > 0.0) {
		if (value % 1.0 != 0.0) {
			return value.toInt() + 1
		}

		return value.toInt()
	} else if (value == -0.0 || value == 0.0) {
		return 0
	} else {
		if (value % 1.0 != -0.0) {
			return value.toInt() - 1
		}

		return value.toInt()
	}
}
